<script>
  import UserButton from "./UserButton.svelte";
  import SearchBar from "./SearchBar.svelte";
  import FilterBar from "./filter/FilterBar.svelte";
  import { createEventDispatcher } from 'svelte';

  const dispatch = createEventDispatcher();
	const submit = () => dispatch('submit');
</script>

<header>
  <upper-nav>
    <img src="./logo.png" alt="Logo" />
    <SearchBar on:submit={submit}/>
    <UserButton profileLink="http://github.com/arthuRHD"/>
  </upper-nav>
  <FilterBar/>
</header>

<style>
  upper-nav {
    margin: 0px;
    display: flex;
    background-color: darkcyan;
  }
  img {
    width: 100px;
    height: 50px;
  }

  @media (min-width: 640px) {
    img {
      width: 150px;
      height: 75px;
      margin: 0px;
      position: sticky;
    }
  }
</style>
